apiVersion: apps/v1
kind: Deployment
metadata:
  name: query-depl
spec:
  replicas: 1
  selector:
    matchLabels:
      app: query
  template:
    metadata:
      labels:
        app: query
    spec:
      containers:
        - name: query
          image: edvalglez/query
---
apiVersion: v1
kind: Service
metadata:
  name: query-srv
spec:
  selector:
    app: query
  ports:
    - name: query
      protocol: TCP
      port: 4002
      targetPort: 4002